#include <bits/stdc++.h>
using namespace std;

int main() {
    long long l, s = 0;
    int m, n, r = 0;
    cin >> l >> m >> n;
    while(s <= l){
        s+=m;
        m+=n;
        r++;
    }
    cout << r;

    return 0;
}
